[PATCH v1 1/4] bootstrap: Add dependency checks

Geoff Levand geoff at infradead.org
Sat Jan 6 11:47:39 AEDT 2018


Signed-off-by: Geoff Levand <geoff at infradead.org>
---
 bootstrap | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/bootstrap b/bootstrap
index e72dad6..49a2ddf 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,3 +1,14 @@
 #!/bin/sh
 
+progs="autoconf automake libtoolize pkg-config"
+
+for p in ${progs}; do
+	if [ ! $(echo "$(which ${p})" | egrep "${p}") ]; then
+		echo "Please install ${p}"
+		result=1
+	fi
+done
+
+[ -z ${result} ] || exit 1
+
 exec autoreconf -f -i
-- 
2.11.0




More information about the Petitboot mailing list